Summary: Base system master password/group files
Name: base-passwd
Version: 3.6.6
Release: r0
License: GPL-2.0-only
Group: base
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: https://launchpad.net/base-passwd
Source0: 0001-Add-a-shutdown-group.patch
Source1: 0005-Add-kvm-group.patch
Source2: 0002-Use-bin-sh-instead-of-bin-bash-for-the-root-user.patch
Source3: 0007-Add-wheel-group.patch
Source4: 0003-Remove-for-root-since-we-do-not-have-an-etc-shadow.patch
Source5: 0004-Add-an-input-group-for-the-dev-input-devices.patch
Source6: base-passwd_3.6.6.tar.xz
Source7: 0001-base-passwd-Add-the-sgx-group.patch
Source8: series
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc

%description
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.

%package -n base-passwd-src
Summary: Base system master password/group files - Source files
License: GPL-2.0-only
Group: devel

%description -n base-passwd-src
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.  This package contains sources for
debugging purposes.

%package -n base-passwd-dbg
Summary: Base system master password/group files - Debugging files
License: GPL-2.0-only
Group: devel
Recommends: glibc-dbg

%description -n base-passwd-dbg
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.  This package contains ELF symbols
and related sources for debugging purposes.

%package -n base-passwd-update
Summary: Base system master password/group files
License: GPL-2.0-only
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.8)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)

%description -n base-passwd-update
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.

%package -n base-passwd-staticdev
Summary: Base system master password/group files - Development files (Static Libraries)
License: GPL-2.0-only
Group: devel
Requires: base-passwd-dev = 3.6.6-r0

%description -n base-passwd-staticdev
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.  This package contains static
libraries for software development.

%package -n base-passwd-dev
Summary: Base system master password/group files - Development files
License: GPL-2.0-only
Group: devel
Recommends: base-passwd = 3.6.6-r0
Recommends: glibc-dev

%description -n base-passwd-dev
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.  This package contains symbolic
links, header files, and related items necessary for software development.

%package -n base-passwd-doc
Summary: Base system master password/group files - Documentation files
License: GPL-2.0-only
Group: doc

%description -n base-passwd-doc
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.  This package contains documentation.

%package -n base-passwd-locale
Summary: Base system master password/group files
License: GPL-2.0-only
Group: base

%description -n base-passwd-locale
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.

%pre
# base-passwd - preinst
#!/bin/sh
set -e
mkdir -p $D/etc
if [ ! -e $D/etc/passwd ]; then
	cat << 'EOF' > $D/etc/passwd
root::0:0:root:/home/root:/bin/sh
daemon:*:1:1:daemon:/usr/sbin:/sbin/nologin
bin:*:2:2:bin:/bin:/sbin/nologin
sys:*:3:3:sys:/dev:/sbin/nologin
sync:*:4:65534:sync:/bin:/bin/sync
games:*:5:60:games:/usr/games:/sbin/nologin
man:*:6:12:man:/var/cache/man:/sbin/nologin
lp:*:7:7:lp:/var/spool/lpd:/sbin/nologin
mail:*:8:8:mail:/var/mail:/sbin/nologin
news:*:9:9:news:/var/spool/news:/sbin/nologin
uucp:*:10:10:uucp:/var/spool/uucp:/sbin/nologin
proxy:*:13:13:proxy:/bin:/sbin/nologin
www-data:*:33:33:www-data:/var/www:/sbin/nologin
backup:*:34:34:backup:/var/backups:/sbin/nologin
list:*:38:38:Mailing List Manager:/var/list:/sbin/nologin
irc:*:39:39:ircd:/run/ircd:/sbin/nologin
_apt:*:42:65534::/nonexistent:/sbin/nologin
nobody:*:65534:65534:nobody:/nonexistent:/sbin/nologin
EOF
fi
if [ ! -e $D/etc/group ]; then
	cat << 'EOF' > $D/etc/group
root:*:0:
daemon:*:1:
bin:*:2:
sys:*:3:
adm:*:4:
tty:*:5:
disk:*:6:
lp:*:7:
mail:*:8:
news:*:9:
uucp:*:10:
man:*:12:
proxy:*:13:
kmem:*:15:
input:*:19:
dialout:*:20:
fax:*:21:
voice:*:22:
cdrom:*:24:
floppy:*:25:
tape:*:26:
sudo:*:27:
audio:*:29:
dip:*:30:
www-data:*:33:
backup:*:34:
operator:*:37:
list:*:38:
irc:*:39:
src:*:40:
shadow:*:42:
utmp:*:43:
video:*:44:
sasl:*:45:
plugdev:*:46:
kvm:*:47:
sgx:*:48:
staff:*:50:
games:*:60:
shutdown:*:70:
wheel:*:80:
users:*:100:
nogroup:*:65534:
EOF
fi


%post -n base-passwd-update
# base-passwd-update - postinst
#!/bin/sh
set -e
if [ -n "$D" ]; then
	exit 0
fi
/usr/sbin/update-passwd


%files
%defattr(-,-,-,-)

%files -n base-passwd-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/base-passwd"
%attr(755,root,root) %dir "/usr/src/debug/base-passwd/3.6.6"
%attr(644,root,root) "/usr/src/debug/base-passwd/3.6.6/update-passwd.c"

%files -n base-passwd-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/sbin"
%attr(755,root,root) %dir "/usr/sbin/.debug"
%attr(755,root,root) "/usr/sbin/.debug/update-passwd"

%files -n base-passwd-update
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/sbin"
%attr(755,root,root) %dir "/usr/share/base-passwd"
%attr(644,root,root) "/usr/share/base-passwd/passwd.master"
%attr(644,root,root) "/usr/share/base-passwd/group.master"
%attr(755,root,root) "/usr/sbin/update-passwd"

%files -n base-passwd-dev
%defattr(-,-,-,-)

%files -n base-passwd-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/doc"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/doc/base-passwd"
%attr(644,root,root) "/usr/share/doc/base-passwd/changelog.gz"
%attr(644,root,root) "/usr/share/doc/base-passwd/copyright"
%attr(644,root,root) "/usr/share/doc/base-passwd/README"
%attr(755,root,root) %dir "/usr/share/man/pl"
%attr(755,root,root) %dir "/usr/share/man/man8"
%attr(755,root,root) %dir "/usr/share/man/pl/man8"
%attr(644,root,root) "/usr/share/man/pl/man8/update-passwd.8.gz"
%attr(644,root,root) "/usr/share/man/man8/update-passwd.8.gz"

%%prep
echo "include logs and patches, Please check them in SOURCES"

